- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libcdr::CDRParserState Class Reference

`#include <CDRCollector.h>`

## Public Member Functions
| CDRParserState ()
| ~CDRParserState ()
unsigned | _getRGBColor (const CDRColor &color)
unsigned | getBMPColor (const CDRColor &color)
librevenge::RVNGString | getRGBColorString (const CDRColor &color)
void | setColorTransform (const std::vector< unsigned char > &profile)
void | setColorTransform (librevenge::RVNGInputStream *input)

## Public Attributes
std::map< unsigned, librevenge::RVNGBinaryData > | m_bmps
std::map< unsigned, CDRPattern > | m_patterns
std::map< unsigned, librevenge::RVNGBinaryData > | m_vects
std::vector< CDRPage > | m_pages
std::map< unsigned, CDRColor > | m_documentPalette
std::map< unsigned, std::vector< CDRTextLine > > | m_texts
cmsHTRANSFORM | m_colorTransformCMYK2RGB
cmsHTRANSFORM | m_colorTransformLab2RGB
cmsHTRANSFORM | m_colorTransformRGB2RGB

## Private Member Functions
| CDRParserState (const CDRParserState &)
CDRParserState & | operator= (const CDRParserState &)

## Constructor & Destructor Documentation

libcdr::CDRParserState::CDRParserState | ( |  | ) |

libcdr::CDRParserState::~CDRParserState | ( |  | ) |

libcdr::CDRParserState::CDRParserState | ( | const CDRParserState & |  | ) |
| private

## Member Function Documentation

unsigned libcdr::CDRParserState::_getRGBColor | ( | const CDRColor & | color | ) |

unsigned libcdr::CDRParserState::getBMPColor | ( | const CDRColor & | color | ) |

librevenge::RVNGString libcdr::CDRParserState::getRGBColorString | ( | const CDRColor & | color | ) |

CDRParserState& libcdr::CDRParserState::operator= | ( | const CDRParserState & |  | ) |
| private

void libcdr::CDRParserState::setColorTransform | ( | const std::vector< unsigned char > & | profile | ) |

Referenced by libcdr::CDRDocument::parse().

void libcdr::CDRParserState::setColorTransform | ( | librevenge::RVNGInputStream * | input | ) |

## Member Data Documentation

std::map<unsigned, librevenge::RVNGBinaryData> libcdr::CDRParserState::m_bmps

cmsHTRANSFORM libcdr::CDRParserState::m_colorTransformCMYK2RGB

Referenced by CDRParserState().

cmsHTRANSFORM libcdr::CDRParserState::m_colorTransformLab2RGB

Referenced by CDRParserState().

cmsHTRANSFORM libcdr::CDRParserState::m_colorTransformRGB2RGB

Referenced by CDRParserState().

std::map<unsigned, CDRColor> libcdr::CDRParserState::m_documentPalette

std::vector<CDRPage> libcdr::CDRParserState::m_pages

Referenced by libcdr::CDRDocument::parse(), and libcdr::CMXDocument::parse().

std::map<unsigned, CDRPattern> libcdr::CDRParserState::m_patterns

std::map<unsigned, std::vector<CDRTextLine> > libcdr::CDRParserState::m_texts

std::map<unsigned, librevenge::RVNGBinaryData> libcdr::CDRParserState::m_vects

The documentation for this class was generated from the following files:

- CDRCollector.h
- CDRCollector.cpp